OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Member Functions | List of all members
cl::Context Class Reference

Class interface for cl_context. More...

`#include <cl2.hpp>`

Inherits cl::detail::Wrapper< cl_context >.

## Public Member Functions
| Context (const vector< Device > &devices, cl_context_properties *properties=NULL, void(CL_CALLBACK *notifyFptr)(const char *, const void *, size_type, void *)=NULL, void *data=NULL, cl_int *err=NULL)
| Constructs a context including a list of specified devices. More...
| Context (const Device &device, cl_context_properties *properties=NULL, void(CL_CALLBACK *notifyFptr)(const char *, const void *, size_type, void *)=NULL, void *data=NULL, cl_int *err=NULL)
| Context (cl_device_type type, cl_context_properties *properties=NULL, void(CL_CALLBACK *notifyFptr)(const char *, const void *, size_type, void *)=NULL, void *data=NULL, cl_int *err=NULL)
| Constructs a context including all or a subset of devices of a specified type. More...
| Context (const Context &ctx)
| Copy constructor to forward copy to the superclass correctly. Required for MSVC. More...
Context & | operator= (const Context &ctx)
| Copy assignment to forward copy to the superclass correctly. Required for MSVC. More...
| Context (Context &&ctx) CL_HPP_NOEXCEPT_
| Move constructor to forward move to the superclass correctly. Required for MSVC. More...
Context & | operator= (Context &&ctx)
| Move assignment to forward move to the superclass correctly. Required for MSVC. More...
| Context ()
| Default constructor - initializes to NULL. More...
| Context (const cl_context &context, bool retainObject=false)
| Constructor from cl_context - takes ownership. More...
Context & | operator= (const cl_context &rhs)
| Assignment operator from cl_context - takes ownership. More...
template<typename T >
cl_int | getInfo (cl_context_info name, T *param) const
| Wrapper for clGetContextInfo(). More...
template<cl_int name>
detail::param_traits < detail::cl_context_info, name >::param_type | getInfo (cl_int *err=NULL) const
| Wrapper for clGetContextInfo() that returns by value. More...
cl_int | getSupportedImageFormats (cl_mem_flags flags, cl_mem_object_type type, vector< ImageFormat > *formats) const
| Gets a list of supported image formats. More...
Public Member Functions inherited from cl::detail::Wrapper< cl_context >
| Wrapper ()
| Wrapper (const cl_type &obj, bool retainObject)
| Wrapper (const Wrapper< cl_type > &rhs)
| Wrapper (Wrapper< cl_type > &&rhs) CL_HPP_NOEXCEPT_
| ~Wrapper ()
Wrapper< cl_type > & | operator= (const Wrapper< cl_type > &rhs)
Wrapper< cl_type > & | operator= (Wrapper< cl_type > &&rhs)
Wrapper< cl_type > & | operator= (const cl_type &rhs)
const cl_type & | operator() () const
cl_type & | operator() ()
const cl_type | get () const
cl_type | get ()

## Static Public Member Functions
static Context | getDefault (cl_int *err=NULL)
| Returns a singleton context including all devices of CL_DEVICE_TYPE_DEFAULT. More...
static Context | setDefault (const Context &default_context)

## Additional Inherited Members
Public Types inherited from cl::detail::Wrapper< cl_context >
typedef cl_context | cl_type
Protected Member Functions inherited from cl::detail::Wrapper< cl_context >
cl_int | retain () const
cl_int | release () const
Protected Attributes inherited from cl::detail::Wrapper< cl_context >
cl_type | object_

## Detailed Description

Class interface for cl_context.

Deprecated APIs for 1.2

Note
  Copies of these objects are shallow, meaning that the copy will refer to the same underlying cl_context as the original. For details, see clRetainContext() and clReleaseContext().

See Also
  cl_context

## Constructor & Destructor Documentation

cl::Context::Context | ( | const vector< Device > & | devices,
|  | cl_context_properties * | properties = `NULL`,
|  | void(CL_CALLBACK *notifyFptr)(const char *,const void *,size_type,void *) | = `NULL`,
|  | void * | data = `NULL`,
|  | cl_int * | err = `NULL`
| ) |  |
| inline

Constructs a context including a list of specified devices.

Wraps clCreateContext().

cl::Context::Context | ( | const Device & | device,
|  | cl_context_properties * | properties = `NULL`,
|  | void(CL_CALLBACK *notifyFptr)(const char *,const void *,size_type,void *) | = `NULL`,
|  | void * | data = `NULL`,
|  | cl_int * | err = `NULL`
| ) |  |
| inline

cl::Context::Context | ( | cl_device_type | type,
|  | cl_context_properties * | properties = `NULL`,
|  | void(CL_CALLBACK *notifyFptr)(const char *,const void *,size_type,void *) | = `NULL`,
|  | void * | data = `NULL`,
|  | cl_int * | err = `NULL`
| ) |  |
| inline

Constructs a context including all or a subset of devices of a specified type.

Wraps clCreateContextFromType().

cl::Context::Context | ( | const Context & | ctx | ) |
| inline

Copy constructor to forward copy to the superclass correctly. Required for MSVC.

cl::Context::Context | ( | Context && | ctx | ) |
| inline

Move constructor to forward move to the superclass correctly. Required for MSVC.

cl::Context::Context | ( |  | ) |
| inline

Default constructor - initializes to NULL.

cl::Context::Context | ( | const cl_context & | context,
|  | bool | retainObject = `false`
| ) |  |
| inline explicit

Constructor from cl_context - takes ownership.

This effectively transfers ownership of a refcount on the cl_context into the new Context object.

## Member Function Documentation

static Context cl::Context::getDefault | ( | cl_int * | err = `NULL` | ) |
| inline static

Returns a singleton context including all devices of CL_DEVICE_TYPE_DEFAULT.

Note
  All calls to this function return the same cl_context as the first.

template<typename T >

cl_int cl::Context::getInfo | ( | cl_context_info | name,
|  | T * | param
| ) |  | const
| inline

Wrapper for clGetContextInfo().

template<cl_int name>

detail::param_traits<detail::cl_context_info, name>::param_type cl::Context::getInfo | ( | cl_int * | err = `NULL` | ) | const
| inline

Wrapper for clGetContextInfo() that returns by value.

cl_int cl::Context::getSupportedImageFormats | ( | cl_mem_flags | flags,
|  | cl_mem_object_type | type,
|  | vector< ImageFormat > * | formats
| ) |  | const
| inline

Gets a list of supported image formats.

Wraps clGetSupportedImageFormats().

Context& cl::Context::operator= | ( | const Context & | ctx | ) |
| inline

Copy assignment to forward copy to the superclass correctly. Required for MSVC.

Context& cl::Context::operator= | ( | Context && | ctx | ) |
| inline

Move assignment to forward move to the superclass correctly. Required for MSVC.

Context& cl::Context::operator= | ( | const cl_context & | rhs | ) |
| inline

Assignment operator from cl_context - takes ownership.

This effectively transfers ownership of a refcount on the rhs and calls clReleaseContext() on the value previously held by this instance.

static Context cl::Context::setDefault | ( | const Context & | default_context | ) |
| inline static

Modify the default context to be used by subsequent operations. Will only set the default if no default was previously created.

Returns
  updated default context. Should be compared to the passed value to ensure that it was updated.

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/gpu/cl2.hpp